Package ghidra.app.util.bin.format.golang

# Class GoBuildId

java.lang.Object
ghidra.app.util.bin.format.golang.GoBuildId

public class GoBuildId extends Object
This class represents a Go build id string, along with a magic header.

Similar to `NoteGoBuildId`, but re-implemented here because of the different serialization used.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GoBuildId(String buildId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ElfInfoItem.ItemWithAddress<GoBuildId>`
  `findBuildId(Program program)`
  `String`
  `getBuildId()`
  `void`
  `markupProgram(Program program, Address address)`
  `static GoBuildId`
  `read(BinaryReader br, Program program_notused)`
  Attempts to read a GoBuildId from the specified stream.
  `static GoBuildId`
  `read(InputStream is)`
  Attempts to read a GoBuildId from the specified InputStream (useful for early compiler detection before file is loaded).

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GoBuildId

    public GoBuildId(String buildId)

- ## Method Details

  - ### findBuildId

    public static ElfInfoItem.ItemWithAddress<GoBuildId> findBuildId(Program program)

  - ### read

    public static GoBuildId read(BinaryReader br, Program program_notused)
    Attempts to read a GoBuildId from the specified stream.
    Parameters:
      `br` - BinaryReader stream (typically the beginning of the ".text" section)
      `program_notused` - not used, but needed to match functional interface
    Returns:
      GoBuildId instance, or null if not present

  - ### read

    public static GoBuildId read(InputStream is)
    Attempts to read a GoBuildId from the specified InputStream (useful for early compiler detection before file is loaded).
    Parameters:
      `is` - `InputStream` providing access to the ".text" section of a PE binary
    Returns:
      GoBuildId instance, or null if not present

  - ### getBuildId

    public String getBuildId()

  - ### markupProgram

    public void markupProgram(Program program, Address address)